aboutsummaryrefslogtreecommitdiffstats
path: root/hotplug
diff options
context:
space:
mode:
authorChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
committerChris Larson <clarson@kergoth.com>2004-11-09 00:36:47 +0000
commitf96441b9faf769c9ecdd4d338b605ea3d0cc4010 (patch)
treeedb17ec2c4ea13c5acb1c7350957a249a820e28d /hotplug
parentb6588aa6851fb220cedc387d21c51513ef8d67f4 (diff)
downloadopenembedded-f96441b9faf769c9ecdd4d338b605ea3d0cc4010.tar.gz
Disable bk EOLN_NATIVE conversions on all files in packages FILESPATHs, to prevent it screwing up patches.
BKrev: 4190111fA4MuVozAqwE7xOSL9fr-TA
Diffstat (limited to 'hotplug')
-rw-r--r--hotplug/files/mmc.agent44
-rw-r--r--hotplug/files/sleeve.agent120
-rw-r--r--hotplug/files/usbd.agent63
-rw-r--r--hotplug/hotplug-20030501/busybox.patch192
-rw-r--r--hotplug/hotplug-20030805/busybox.patch122
-rw-r--r--hotplug/hotplug-20040105/busybox.patch122
-rw-r--r--hotplug/hotplug-20040311/fix-net.agent29
-rw-r--r--hotplug/hotplug-20040311/logcheck-ignore1
-rw-r--r--hotplug/hotplug-20040311/update-usb.usermap37
-rw-r--r--hotplug/hotplug-20040329/busybox.patch13
-rw-r--r--hotplug/hotplug-20040329/fix-net.agent29
-rw-r--r--hotplug/hotplug-20040329/logcheck-ignore1
-rw-r--r--hotplug/hotplug-20040329/update-usb.usermap37
-rw-r--r--hotplug/hotplug-20040920/fix-net.agent29
-rw-r--r--hotplug/hotplug-20040920/logcheck-ignore1
-rw-r--r--hotplug/hotplug-20040920/update-usb.usermap37
16 files changed, 877 insertions, 0 deletions
diff --git a/hotplug/files/mmc.agent b/hotplug/files/mmc.agent
index e69de29bb2..20af4c69ad 100644
--- a/hotplug/files/mmc.agent
+++ b/hotplug/files/mmc.agent
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# H3600 Sleeve hotplug policy agent for Linux 2.4 kernels
+#
+# Kernel NET hotplug params include:
+#
+# ACTION=%s [add or remove]
+# MEDIA=%s
+# SLOT=%d
+#
+
+. /etc/hotplug/hotplug.functions
+#DEBUG=yes export DEBUG
+
+ echo "Executing $0 action=$ACTION, media=$MEDIA ($SLOT)" > /dev/console
+
+MMC_MOUNT_OPTIONS="-t auto -o sync,noatime"
+
+if [ -f /etc/sysconfig/hotplug ] ; then
+ . /etc/sysconfig/hotplug
+fi
+
+if [ "$ACTION" = "add" ] ; then
+ echo -n add > /dev/console
+ if [ "$MEDIA" = "flash" ] ; then
+ for n in 1 2 3 4 ; do
+ device=/dev/mmc/part$n
+ if [ "$n" = "1" ] ; then
+ card=/mnt/card
+ else
+ card=/mnt/card$n
+ fi
+ [ -b $device ] || break
+ echo flash on $device > /dev/console
+ [ -d $card ] || mkdir -p $card
+ mount $MMC_MOUNT_OPTIONS $device $card
+ done
+ fi
+
+else
+ for card in /mnt/card*; do
+ umount $card
+ done
+fi
diff --git a/hotplug/files/sleeve.agent b/hotplug/files/sleeve.agent
index e69de29bb2..55befca1b1 100644
--- a/hotplug/files/sleeve.agent
+++ b/hotplug/files/sleeve.agent
@@ -0,0 +1,120 @@
+#!/bin/sh
+#
+# H3600 Sleeve hotplug policy agent for Linux 2.4 kernels
+#
+# Kernel NET hotplug params include:
+#
+# ACTION=%s [add or remove]
+# VENDOR_ID=%s
+# DEVICE_ID=%x
+# DEVICE_NAME=%s
+#
+
+. /etc/hotplug/hotplug.functions
+#DEBUG=yes export DEBUG
+
+if [ "$DEBUG" != "" ]; then
+ mesg "Executing $0 action=$ACTION, device=$DEVICE_NAME ($VENDOR_ID,$DEVICE_ID)"
+fi
+
+COMPACTFLASH_TIMING_INCREMENT=0
+PCMCIA_TIMING_INCREMENT=0
+DUAL_PCMCIA_TIMING_INCREMENT=0
+NAVMAN_TIMING_INCREMENT=0
+BACKPAQ_TIMING_INCREMENT=-100
+
+if [ -f /etc/sysconfig/hotplug ] ; then
+ . /etc/sysconfig/hotplug
+fi
+
+case $ACTION in
+add)
+ case $DEVICE_NAME in
+ "Compaq Mercury Backpaq")
+ mkdir -p /backpaq
+ echo $BACKPAQ_TIMING_INCREMENT > /proc/sys/backpaq/pcmcia/timing_increment_ns
+ ## mount -t jffs2 /dev/mtdblock/4 /backpaq
+ modprobe h3600_backpaq_fpga || mesg 'could not load backpaq fpga driver'
+ modprobe h3600_backpaq_camera || mesg 'could not load backpaq camera driver'
+ if [ -c /dev/v4l/video0 ] ; then
+ ln -s /dev/v4l/video0 /dev/video0
+ ln -s /dev/v4l/video0 /dev/video
+ fi
+ CAMERATYPE=`/bin/grep "CameraType" /proc/backpaq/camera | /bin/sed -e 's/.*: //'`
+ BACKPAQ_NUMBER=`/bin/grep "Major revision" /proc/backpaq/eeprom | /bin/sed -e 's/.*0x//'`
+ FPGA_NUMBER=`/bin/grep "FPGA version" /proc/backpaq/eeprom | /bin/sed -e 's/.*0x//'`
+ CAMERA_NUMBER=`/bin/grep "Camera" /proc/backpaq/eeprom | /bin/sed -e 's/.*0x//'`
+
+ echo "CAMERA_TYPE = $CAMERATYPE"
+ echo "BACKPAQ_NUMBER = $BACKPAQ_NUMBER"
+ echo "FPGA_NUMBER = $FPGA_NUMBER"
+ echo "CAMERA_NUMBER = $CAMERA_NUMBER"
+ echo "looking for file: /etc/fpga_B${BACKPAQ_NUMBER}_F${FPGA_NUMBER}_C${CAMERA_NUMBER}.bin"
+ if [ -e /etc/fpga_B${BACKPAQ_NUMBER}_F${FPGA_NUMBER}_C${CAMERA_NUMBER}.bin ] ; then
+ cat /etc/fpga_B${BACKPAQ_NUMBER}_F${FPGA_NUMBER}_C${CAMERA_NUMBER}.bin > /dev/backpaq/fpga
+ elif [ -e /etc/fpga_$CAMERATYPE.bin ] ; then
+ cat /etc/fpga_$CAMERATYPE.bin > /dev/backpaq/fpga
+ elif [ -e /etc/fpga.bin ] ; then
+ cat /etc/fpga.bin > /dev/backpaq/fpga
+ else
+ mesg 'unable to program the backpaq fpga'
+ fi
+ modprobe h3600_backpaq_accel || mesg 'could not load backpaq accelerometer driver'
+ mesg 'BackPAQ drivers loaded'
+ ;;
+ "Compaq CompactFlash Sleeve")
+ mesg 'CompactFlash drivers loaded'
+ echo $COMPACTFLASH_TIMING_INCREMENT > /proc/sys/bus/pcmcia/timing_increment_ns
+ ;;
+ "Compaq PC Card Sleeve")
+ mesg 'PC card sleeve drivers loaded'
+ echo $PCMCIA_TIMING_INCREMENT > /proc/sys/bus/pcmcia/timing_increment_ns
+ ;;
+ "Compaq Dual PC Card Sleeve")
+ mesg 'Dual PC card sleeve drivers loaded'
+ echo $DUAL_PCMCIA_TIMING_INCREMENT > /proc/sys/bus/pcmcia/timing_increment_ns
+ ;;
+ "Navman GPS/CF Sleeve")
+ mesg 'Navman GPS sleeve drivers loaded'
+ echo $NAVMAN_TIMING_INCREMENT > /proc/sys/bus/pcmcia/timing_increment_ns
+ start-stop-daemon --start --exec /usr/sbin/gpsd.bin -- -p /dev/tts/0 -s 57600
+ ;;
+ *)
+ mesg "$1 $ACTION event not handled for $DEVICE_NAME"
+ ;;
+ esac
+ ;;
+
+remove)
+ case $DEVICE_NAME in
+ "Compaq Mercury Backpaq")
+ mesg 'Unloading BackPAQ drivers'
+ ## umount /backpaq
+ rmmod h3600_backpaq_camera
+ rmmod h3600_backpaq_accel
+ rmmod h3600_backpaq_fpga
+ ;;
+ "Compaq CompactFlash Sleeve")
+ mesg 'Unloading CompactFlash sleeve'
+ ;;
+ "Compaq PC Card Sleeve")
+ mesg 'Unloading PC Card sleeve'
+ ;;
+ "Compaq Dual PC Card Sleeve")
+ mesg 'Unloading Dual PC Card sleeve'
+ ;;
+ "Navman GPS/CF Sleeve")
+ mesg 'Unloading Navman GPS sleeve'
+ start-stop-daemon --stop --name gpsd.bin
+ ;;
+ *)
+ mesg $1 $ACTION event not handled for $DEVICE_NAME
+ ;;
+ esac
+ ;;
+
+*)
+ mesg "$1 $ACTION event not supported"
+ exit 1 ;;
+
+esac
diff --git a/hotplug/files/usbd.agent b/hotplug/files/usbd.agent
index e69de29bb2..6613b4810a 100644
--- a/hotplug/files/usbd.agent
+++ b/hotplug/files/usbd.agent
@@ -0,0 +1,63 @@
+#!/bin/ash
+
+# DEBUG=yes export DEBUG
+#set -x
+
+. /etc/hotplug/hotplug.functions
+. /etc/default/usbd
+cd $HOTPLUG_DIR
+
+[ -z "$INTERFACE" ] && exit 1
+[ -z "$ACTION" ] && exit 1
+[ -z "$usbdmodule" ] && exit 0
+
+debug_mesg "USBD $ACTION Action Recived"
+
+case $INTERFACE in
+
+monitor)
+ case $ACTION in
+ # called to load all usb device modules
+ load)
+ modprobe usbdcore
+ modprobe net_fd
+ modprobe $usbdmodule
+ ;;
+
+ # called to handle suspend power management event
+ suspend)
+ rmmod $usbdmodule
+ ;;
+
+ # called to reload after resume power management event
+ restore-loaded)
+ modprobe $usbdmodule
+ sleep 2
+ ;;
+
+ # called to unload after resume power management event
+ restore-unloaded)
+ modprobe -r net_fd
+ ;;
+
+ # called to unload all usb device modules
+ unload)
+ modprobe -r $usbdmodule
+ ;;
+
+ *)
+ debug_mesg USBD $ACTION event not handled
+ exit 1
+ ;;
+ esac
+ ;;
+*)
+ debug_mesg USBD $INTERFACE-$ACTION event not handled
+ exit 1
+ ;;
+esac
+
+[ -e /proc/usb-monitor ] && echo "Done" > /proc/usb-monitor
+
+exit 0
+
diff --git a/hotplug/hotplug-20030501/busybox.patch b/hotplug/hotplug-20030501/busybox.patch
index e69de29bb2..65146afa80 100644
--- a/hotplug/hotplug-20030501/busybox.patch
+++ b/hotplug/hotplug-20030501/busybox.patch
@@ -0,0 +1,192 @@
+--- hotplug-2003_05_01/etc/hotplug/net.agent~busybox
++++ hotplug-2003_05_01/etc/hotplug/net.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # Network hotplug policy agent for Linux 2.4 kernels
+ #
+@@ -17,7 +17,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ if [ "$INTERFACE" = "" ]; then
+@@ -36,11 +36,6 @@
+ ;;
+ # interfaces that are registered then brought up
+ *)
+- # NOTE: network configuration relies on administered state,
+- # we can't do much here without distro-specific knowledge
+- # such as whether/how to invoke DHCP, set up bridging, etc.
+-
+- # RedHat and similar
+ if [ -x /sbin/ifup ]; then
+ debug_mesg invoke ifup $INTERFACE
+ exec /sbin/ifup $INTERFACE
+@@ -52,6 +47,27 @@
+ mesg $1 $ACTION event not handled
+ ;;
+
++unregister)
++ case $INTERFACE in
++ # interfaces that are unregistered after being "down"
++ ppp*|ippp*|isdn*|plip*|lo*|irda*|dummy*)
++ debug_mesg assuming $INTERFACE is already down
++ exit 0
++ ;;
++
++ # interfaces that are registered then brought down
++ *)
++ if [ -x /sbin/ifdown ]; then
++ debug_mesg invoke ifdown $INTERFACE
++ exec /sbin/ifdown $INTERFACE
++ else
++ mesg "how do I bring interfaces up on this distro?"
++ fi
++ ;;
++
++ esac
++ mesg $1 $ACTION event not handled
++ ;;
+ *)
+ debug_mesg NET $ACTION event not supported
+ exit 1 ;;
+--- hotplug-2003_05_01/etc/hotplug/scsi.agent~busybox
++++ hotplug-2003_05_01/etc/hotplug/scsi.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # SCSI hotplug agent for 2.5 kernels
+ #
+@@ -7,7 +7,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ case $ACTION in
+
+--- hotplug-2003_05_01/etc/hotplug/usb.handmap~busybox
++++ hotplug-2003_05_01/etc/hotplug/usb.handmap
+@@ -3,7 +3,7 @@
+ # with special driver mappings that the kernel
+ # for some reason does not expose through modutils
+ #
+-# Comments get read by bash so dont use punctuation
++# Comments get read by the shell so dont use punctuation
+ # RETEST ESPECIALLY AFER CHANGES TO COMMENTS
+ #
+ #
+--- hotplug-2003_05_01/etc/hotplug.d/default/default.hotplug~busybox
++++ hotplug-2003_05_01/etc/hotplug.d/default/default.hotplug
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # This version of /sbin/hotplug should works on most GNU/Linux systems
+ # using Linux 2.2.18+ or 2.4.* kernels. On 2.2.*, only USB has such
+@@ -24,7 +24,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ # DEBUG=yes export DEBUG
+
+--- hotplug-2003_05_01/etc/hotplug/hotplug.functions~busybox
++++ hotplug-2003_05_01/etc/hotplug/hotplug.functions
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # Setup and utility functions for use in hotplug agents
+ #
+@@ -25,7 +25,7 @@
+ #
+ # for diagnostics
+ #
+-if [ -t -o ! -x /usr/bin/logger ]; then
++if [ ! -x /usr/bin/logger ]; then
+ mesg () {
+ echo "$@"
+ }
+@@ -40,15 +40,9 @@
+ mesg "$@"
+ }
+
+-#
+-# The modules.*map parsing uses BASH ("declare -i") and some version
+-# of AWK, typically /bin/gawk. Most GNU/Linux distros have these,
+-# but some specialized ones (floppy based, etc) may not. ("type -p"
+-# is also a bash-ism, more robust than "which".)
+-#
+-AWK=`type -p gawk`
++AWK=`which gawk`
+ if [ "$AWK" = "" ]; then
+- AWK=`type -p awk`
++ AWK=`which awk`
+ fi
+
+
+--- hotplug-2003_05_01/etc/hotplug/usb.rc~busybox
++++ hotplug-2003_05_01/etc/hotplug/usb.rc
+@@ -75,7 +75,7 @@
+ #
+
+ # synthesize hotplug events if we can
+- # we need (non-bash) programs to parse descriptors.
++ # we need (non-shell) programs to parse descriptors.
+ LISTER=`type -p usbmodules`
+ if [ "$LISTER" = "" -o ! -f /proc/bus/usb/devices ]; then
+ echo $"** can't synthesize root hub events"
+--- hotplug-2003_05_01/etc/hotplug/ieee1394.agent~busybox
++++ hotplug-2003_05_01/etc/hotplug/ieee1394.agent
+@@ -24,7 +24,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ # generated by modutils 2.4.9 or later, for 2.4.10 and later kernels
+--- hotplug-2003_05_01/etc/hotplug/pci.agent~busybox
++++ hotplug-2003_05_01/etc/hotplug/pci.agent
+@@ -33,7 +33,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ # generated by modutils, for current 2.4.x kernels
+ MAP_CURRENT=$MODULE_DIR/modules.pcimap
+--- hotplug-2003_05_01/etc/hotplug/usb.agent~busybox
++++ hotplug-2003_05_01/etc/hotplug/usb.agent
+@@ -79,7 +79,7 @@
+ fi
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ # generated by modutils, for current 2.4.x (and later) kernels
+--- hotplug-2003_05_01/etc/hotplug/pci.rc~busybox
++++ hotplug-2003_05_01/etc/hotplug/pci.rc
+@@ -17,7 +17,7 @@
+ . /etc/rc.d/init.d/functions
+ fi
+
+-. hotplug.functions
++. ./hotplug.functions
+
+
+ # # override any of the defaults?
diff --git a/hotplug/hotplug-20030805/busybox.patch b/hotplug/hotplug-20030805/busybox.patch
index e69de29bb2..bc098bb45a 100644
--- a/hotplug/hotplug-20030805/busybox.patch
+++ b/hotplug/hotplug-20030805/busybox.patch
@@ -0,0 +1,122 @@
+
+#
+# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
+#
+
+--- hotplug-2003_08_05/etc/hotplug.d/default/default.hotplug~busybox
++++ hotplug-2003_08_05/etc/hotplug.d/default/default.hotplug
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # This version of /sbin/hotplug should works on most GNU/Linux systems
+ # using Linux 2.2.18+ or 2.4.* kernels. On 2.2.*, only USB has such
+@@ -24,7 +24,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ # DEBUG=yes export DEBUG
+
+--- hotplug-2003_08_05/etc/hotplug/ieee1394.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/ieee1394.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # IEEE1394-specific hotplug policy agent.
+ #
+@@ -24,7 +24,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ # generated by modutils 2.4.9 or later, for 2.4.10 and later kernels
+--- hotplug-2003_08_05/etc/hotplug/net.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/net.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # Network hotplug policy agent for Linux 2.4 kernels
+ #
+@@ -17,7 +17,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ if [ "$INTERFACE" = "" ]; then
+--- hotplug-2003_08_05/etc/hotplug/pci.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/pci.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # PCI-specific hotplug policy agent.
+ #
+@@ -33,7 +33,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ # generated by modutils, for current 2.4.x kernels
+ MAP_CURRENT=$MODULE_DIR/modules.pcimap
+--- hotplug-2003_08_05/etc/hotplug/scsi.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/scsi.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # SCSI hotplug agent for 2.5 kernels
+ #
+@@ -7,7 +7,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ case $ACTION in
+
+--- hotplug-2003_08_05/etc/hotplug/usb.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/usb.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # USB-specific hotplug policy agent.
+ #
+@@ -79,7 +79,7 @@
+ fi
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ # generated by modutils, for current 2.4.x (and later) kernels
+--- hotplug-2003_08_05/etc/hotplug/usb.handmap~busybox
++++ hotplug-2003_08_05/etc/hotplug/usb.handmap
+@@ -3,7 +3,7 @@
+ # with special driver mappings that the kernel
+ # for some reason does not expose through modutils
+ #
+-# Comments get read by bash so dont use punctuation
++# Comments get read by the shell so dont use punctuation
+ # RETEST ESPECIALLY AFER CHANGES TO COMMENTS
+ #
+ #
+--- hotplug-2003_08_05/etc/hotplug/usb.usermap~busybox
++++ hotplug-2003_08_05/etc/hotplug/usb.usermap
+@@ -1 +0,0 @@
+-# usb module match_flags idVendor idProduct bcdDevice_lo bcdDevice_hi bDeviceClass bDeviceSubClass bDeviceProtocol bInterfaceClass bInterfaceSubClass bInterfaceProtocol driver_info
diff --git a/hotplug/hotplug-20040105/busybox.patch b/hotplug/hotplug-20040105/busybox.patch
index e69de29bb2..bc098bb45a 100644
--- a/hotplug/hotplug-20040105/busybox.patch
+++ b/hotplug/hotplug-20040105/busybox.patch
@@ -0,0 +1,122 @@
+
+#
+# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
+#
+
+--- hotplug-2003_08_05/etc/hotplug.d/default/default.hotplug~busybox
++++ hotplug-2003_08_05/etc/hotplug.d/default/default.hotplug
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # This version of /sbin/hotplug should works on most GNU/Linux systems
+ # using Linux 2.2.18+ or 2.4.* kernels. On 2.2.*, only USB has such
+@@ -24,7 +24,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ # DEBUG=yes export DEBUG
+
+--- hotplug-2003_08_05/etc/hotplug/ieee1394.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/ieee1394.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # IEEE1394-specific hotplug policy agent.
+ #
+@@ -24,7 +24,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ # generated by modutils 2.4.9 or later, for 2.4.10 and later kernels
+--- hotplug-2003_08_05/etc/hotplug/net.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/net.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # Network hotplug policy agent for Linux 2.4 kernels
+ #
+@@ -17,7 +17,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ if [ "$INTERFACE" = "" ]; then
+--- hotplug-2003_08_05/etc/hotplug/pci.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/pci.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # PCI-specific hotplug policy agent.
+ #
+@@ -33,7 +33,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ # generated by modutils, for current 2.4.x kernels
+ MAP_CURRENT=$MODULE_DIR/modules.pcimap
+--- hotplug-2003_08_05/etc/hotplug/scsi.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/scsi.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # SCSI hotplug agent for 2.5 kernels
+ #
+@@ -7,7 +7,7 @@
+ #
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+
+ case $ACTION in
+
+--- hotplug-2003_08_05/etc/hotplug/usb.agent~busybox
++++ hotplug-2003_08_05/etc/hotplug/usb.agent
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # USB-specific hotplug policy agent.
+ #
+@@ -79,7 +79,7 @@
+ fi
+
+ cd /etc/hotplug
+-. hotplug.functions
++. ./hotplug.functions
+ # DEBUG=yes export DEBUG
+
+ # generated by modutils, for current 2.4.x (and later) kernels
+--- hotplug-2003_08_05/etc/hotplug/usb.handmap~busybox
++++ hotplug-2003_08_05/etc/hotplug/usb.handmap
+@@ -3,7 +3,7 @@
+ # with special driver mappings that the kernel
+ # for some reason does not expose through modutils
+ #
+-# Comments get read by bash so dont use punctuation
++# Comments get read by the shell so dont use punctuation
+ # RETEST ESPECIALLY AFER CHANGES TO COMMENTS
+ #
+ #
+--- hotplug-2003_08_05/etc/hotplug/usb.usermap~busybox
++++ hotplug-2003_08_05/etc/hotplug/usb.usermap
+@@ -1 +0,0 @@
+-# usb module match_flags idVendor idProduct bcdDevice_lo bcdDevice_hi bDeviceClass bDeviceSubClass bDeviceProtocol bInterfaceClass bInterfaceSubClass bInterfaceProtocol driver_info
diff --git a/hotplug/hotplug-20040311/fix-net.agent b/hotplug/hotplug-20040311/fix-net.agent
index e69de29bb2..3bc0935018 100644
--- a/hotplug/hotplug-20040311/fix-net.agent
+++ b/hotplug/hotplug-20040311/fix-net.agent
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+#
+# Since ifupdown of Debian is different than one of RedHat.
+# So we need to fix it
+
+topdir=$1
+dir=$topdir/etc/hotplug
+test -f $dir/net.agent || exit 1
+mv $dir/net.agent $dir/net.agent.orig
+
+sed -e '/^\*)/i\
+unregister)\
+ # Assume that we want to run ifdown no matter what, \
+ # because it is not going to remove the data from the \
+ # ifstate database otherwise.\
+ if [ -x /sbin/ifdown ]; then\
+ debug_mesg invoke ifdown $INTERFACE\
+ exec /sbin/ifdown $INTERFACE\
+ else\
+ # mesg "how do I bring interfaces up on this distro?"\
+ mesg "E: /sbin/ifdown not found. You need to install ifupdown package"\
+ fi\
+ mesg $1 $ACTION event not handled\
+ ;;\
+' $dir/net.agent.orig > $dir/net.agent
+rm -f $dir/net.agent.orig
+chmod 755 $dir/net.agent
+exit 0
+
diff --git a/hotplug/hotplug-20040311/logcheck-ignore b/hotplug/hotplug-20040311/logcheck-ignore
index e69de29bb2..b941353041 100644
--- a/hotplug/hotplug-20040311/logcheck-ignore
+++ b/hotplug/hotplug-20040311/logcheck-ignore
@@ -0,0 +1 @@
+net.agent: invoke if(up|down)
diff --git a/hotplug/hotplug-20040311/update-usb.usermap b/hotplug/hotplug-20040311/update-usb.usermap
index e69de29bb2..d09e1176ec 100644
--- a/hotplug/hotplug-20040311/update-usb.usermap
+++ b/hotplug/hotplug-20040311/update-usb.usermap
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+# update-usb.usermap
+# Copyright (c) 2001 Fumitoshi UKAI <ukai@debian.or.jp>
+# GPL
+
+LIBDIR=/usr/lib/hotplug
+USERMAP=/etc/hotplug/usb.usermap
+LOCALMAP=/etc/hotplug/usb.usermap.local
+
+test -d $LIBDIR || exit 0
+
+echo -n "Updating $USERMAP ..."
+
+echo "# usb.usermap file" > $USERMAP
+echo "# This is autogenerated by update-usb.usermap program" >> $USERMAP
+echo "# usb module match_flags idVendor idProduct bcdDevice_lo bcdDevice_hi bDeviceClass bDeviceSubClass bDeviceProtocol bInterfaceClass bInterfaceSubClass bInterfaceProtocol driver_info" >> $USERMAP
+
+if [ -f $LOCALMAP ]; then
+ echo "# usb.usermap.local" >> $USERMAP
+ cat $LOCALMAP >> $USERMAP
+fi
+
+cd $LIBDIR
+for package in *
+do
+ if [ -d "$package" ]; then
+ map=$package/usb.usermap
+ echo "# $package" >> $USERMAP
+ if [ -x "$map" ]; then
+ ./$map >> $USERMAP
+ elif [ -f "$map" ]; then
+ cat $map >> $USERMAP
+ fi
+ fi
+done
+
+echo done.
diff --git a/hotplug/hotplug-20040329/busybox.patch b/hotplug/hotplug-20040329/busybox.patch
index e69de29bb2..7a90f246a5 100644
--- a/hotplug/hotplug-20040329/busybox.patch
+++ b/hotplug/hotplug-20040329/busybox.patch
@@ -0,0 +1,13 @@
+
+#
+# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
+#
+
+--- hotplug-2004_03_29/etc/hotplug.d/default/default.hotplug~busybox 2004-03-26 23:34:34.000000000 +0100
++++ hotplug-2004_03_29/etc/hotplug.d/default/default.hotplug 2004-06-18 23:33:22.000000000 +0200
+@@ -1,4 +1,4 @@
+-#!/bin/bash
++#!/bin/sh
+ #
+ # This version of /sbin/hotplug should works on most GNU/Linux systems
+ # using Linux 2.2.18+ or 2.4.* kernels. On 2.2.*, only USB has such
diff --git a/hotplug/hotplug-20040329/fix-net.agent b/hotplug/hotplug-20040329/fix-net.agent
index e69de29bb2..3bc0935018 100644
--- a/hotplug/hotplug-20040329/fix-net.agent
+++ b/hotplug/hotplug-20040329/fix-net.agent
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+#
+# Since ifupdown of Debian is different than one of RedHat.
+# So we need to fix it
+
+topdir=$1
+dir=$topdir/etc/hotplug
+test -f $dir/net.agent || exit 1
+mv $dir/net.agent $dir/net.agent.orig
+
+sed -e '/^\*)/i\
+unregister)\
+ # Assume that we want to run ifdown no matter what, \
+ # because it is not going to remove the data from the \
+ # ifstate database otherwise.\
+ if [ -x /sbin/ifdown ]; then\
+ debug_mesg invoke ifdown $INTERFACE\
+ exec /sbin/ifdown $INTERFACE\
+ else\
+ # mesg "how do I bring interfaces up on this distro?"\
+ mesg "E: /sbin/ifdown not found. You need to install ifupdown package"\
+ fi\
+ mesg $1 $ACTION event not handled\
+ ;;\
+' $dir/net.agent.orig > $dir/net.agent
+rm -f $dir/net.agent.orig
+chmod 755 $dir/net.agent
+exit 0
+
diff --git a/hotplug/hotplug-20040329/logcheck-ignore b/hotplug/hotplug-20040329/logcheck-ignore
index e69de29bb2..b941353041 100644
--- a/hotplug/hotplug-20040329/logcheck-ignore
+++ b/hotplug/hotplug-20040329/logcheck-ignore
@@ -0,0 +1 @@
+net.agent: invoke if(up|down)
diff --git a/hotplug/hotplug-20040329/update-usb.usermap b/hotplug/hotplug-20040329/update-usb.usermap
index e69de29bb2..d09e1176ec 100644
--- a/hotplug/hotplug-20040329/update-usb.usermap
+++ b/hotplug/hotplug-20040329/update-usb.usermap
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+# update-usb.usermap
+# Copyright (c) 2001 Fumitoshi UKAI <ukai@debian.or.jp>
+# GPL
+
+LIBDIR=/usr/lib/hotplug
+USERMAP=/etc/hotplug/usb.usermap
+LOCALMAP=/etc/hotplug/usb.usermap.local
+
+test -d $LIBDIR || exit 0
+
+echo -n "Updating $USERMAP ..."
+
+echo "# usb.usermap file" > $USERMAP
+echo "# This is autogenerated by update-usb.usermap program" >> $USERMAP
+echo "# usb module match_flags idVendor idProduct bcdDevice_lo bcdDevice_hi bDeviceClass bDeviceSubClass bDeviceProtocol bInterfaceClass bInterfaceSubClass bInterfaceProtocol driver_info" >> $USERMAP
+
+if [ -f $LOCALMAP ]; then
+ echo "# usb.usermap.local" >> $USERMAP
+ cat $LOCALMAP >> $USERMAP
+fi
+
+cd $LIBDIR
+for package in *
+do
+ if [ -d "$package" ]; then
+ map=$package/usb.usermap
+ echo "# $package" >> $USERMAP
+ if [ -x "$map" ]; then
+ ./$map >> $USERMAP
+ elif [ -f "$map" ]; then
+ cat $map >> $USERMAP
+ fi
+ fi
+done
+
+echo done.
diff --git a/hotplug/hotplug-20040920/fix-net.agent b/hotplug/hotplug-20040920/fix-net.agent
index e69de29bb2..3bc0935018 100644
--- a/hotplug/hotplug-20040920/fix-net.agent
+++ b/hotplug/hotplug-20040920/fix-net.agent
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+#
+# Since ifupdown of Debian is different than one of RedHat.
+# So we need to fix it
+
+topdir=$1
+dir=$topdir/etc/hotplug
+test -f $dir/net.agent || exit 1
+mv $dir/net.agent $dir/net.agent.orig
+
+sed -e '/^\*)/i\
+unregister)\
+ # Assume that we want to run ifdown no matter what, \
+ # because it is not going to remove the data from the \
+ # ifstate database otherwise.\
+ if [ -x /sbin/ifdown ]; then\
+ debug_mesg invoke ifdown $INTERFACE\
+ exec /sbin/ifdown $INTERFACE\
+ else\
+ # mesg "how do I bring interfaces up on this distro?"\
+ mesg "E: /sbin/ifdown not found. You need to install ifupdown package"\
+ fi\
+ mesg $1 $ACTION event not handled\
+ ;;\
+' $dir/net.agent.orig > $dir/net.agent
+rm -f $dir/net.agent.orig
+chmod 755 $dir/net.agent
+exit 0
+
diff --git a/hotplug/hotplug-20040920/logcheck-ignore b/hotplug/hotplug-20040920/logcheck-ignore
index e69de29bb2..b941353041 100644
--- a/hotplug/hotplug-20040920/logcheck-ignore
+++ b/hotplug/hotplug-20040920/logcheck-ignore
@@ -0,0 +1 @@
+net.agent: invoke if(up|down)
diff --git a/hotplug/hotplug-20040920/update-usb.usermap b/hotplug/hotplug-20040920/update-usb.usermap
index e69de29bb2..d09e1176ec 100644
--- a/hotplug/hotplug-20040920/update-usb.usermap
+++ b/hotplug/hotplug-20040920/update-usb.usermap
@@ -0,0 +1,37 @@
+#!/bin/sh -e
+# update-usb.usermap
+# Copyright (c) 2001 Fumitoshi UKAI <ukai@debian.or.jp>
+# GPL
+
+LIBDIR=/usr/lib/hotplug
+USERMAP=/etc/hotplug/usb.usermap
+LOCALMAP=/etc/hotplug/usb.usermap.local
+
+test -d $LIBDIR || exit 0
+
+echo -n "Updating $USERMAP ..."
+
+echo "# usb.usermap file" > $USERMAP
+echo "# This is autogenerated by update-usb.usermap program" >> $USERMAP
+echo "# usb module match_flags idVendor idProduct bcdDevice_lo bcdDevice_hi bDeviceClass bDeviceSubClass bDeviceProtocol bInterfaceClass bInterfaceSubClass bInterfaceProtocol driver_info" >> $USERMAP
+
+if [ -f $LOCALMAP ]; then
+ echo "# usb.usermap.local" >> $USERMAP
+ cat $LOCALMAP >> $USERMAP
+fi
+
+cd $LIBDIR
+for package in *
+do
+ if [ -d "$package" ]; then
+ map=$package/usb.usermap
+ echo "# $package" >> $USERMAP
+ if [ -x "$map" ]; then
+ ./$map >> $USERMAP
+ elif [ -f "$map" ]; then
+ cat $map >> $USERMAP
+ fi
+ fi
+done
+
+echo done.